## inviteflood 2.0

=== inviteflood/Makefile ===
inviteflood: inviteflood.c inviteflood.h
	gcc -I../hack_library inviteflood.c -lnet ../hack_library/hack_library.o -o inviteflood

clean:
	rm -f inviteflood inviteflood.o

=== debian/changelog ===
inviteflood (2.0-1kali4) kali-dev; urgency=medium

  * Update d/watch to v5

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 10 Dec 2025 13:43:17 +0700

inviteflood (2.0-1kali3) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Sophie Brun ]
  * Update my email
  * Remove inactive Uploaders
  * Remove useless dep libnet1

 -- Sophie Brun <sophie@kali.org>  Fri, 10 Oct 2025 13:55:14 +0200

inviteflood (2.0-1kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * Add d/watch pointing out there is no tracking for this package.
  * Add patch to deal with missing debug flag.
  * Update standards version to 4.6.2, no changes needed.
  * Add missing includes.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 26 Jan 2023 14:42:54 -0600

inviteflood (2.0-1kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Dec 2020 14:23:14 +0100

inviteflood (2.0-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Wed, 16 Jan 2013 06:15:21 -0700

=== debian/control ===
Source: inviteflood
Section: utils
Priority:optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>,
Build-Depends: debhelper-compat (= 13), libnet1-dev
Standards-Version: 4.7.2
Homepage: http://www.hackingvoip.com/sec_tools.html
Vcs-Git: https://gitlab.com/kalilinux/packages/inviteflood.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/inviteflood

Package: inviteflood
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SIP/SDP INVITE message flooding over UDP/IP
 A tool to perform SIP/SDP INVITE message flooding over 
 UDP/IP. It was tested on a Linux Red Hat Fedora Core 4 
 platform (Pentium IV, 2.5 GHz), but it is expected this 
 tool will successfully build and execute on a variety of 
 Linux distributions.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ 

override_dh_auto_build:
	cd hack_library/ && $(MAKE) clean && $(MAKE)
	cd inviteflood/ && $(MAKE)

=== debian/watch ===
Version: 5
Untrackable: Upstream site doesn't allow tracking release

# This is packaged as an unversioned tarball on a book's website:
# http://www.hackingvoip.com/sec_tools.html
# The package itself hasn't seen any updates since 2006.
